﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="index.aspx.cs" Inherits="e_gridview_sum_of_columns_index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>GridView Sum of Columns by jQuery | YogiHosting Demo</title>
    <link rel="icon" type="image/png" href="http://www.yogihosting.com/wp-content/themes/yogi-yogihosting/Images/favicon.ico" />
    <meta charset="utf-8" />
    <style>
        body {
            background: #111 no-repeat;
            background-image: -webkit-gradient(radial, 50% 0, 150, 50% 0, 300, from(#444), to(#111));
        }

        h1, h2, h3 {
            text-align: center;
            color: #FFF;
        }

            h2 a {
                color: #0184e3;
                text-decoration: none;
            }

                h2 a:hover {
                    text-decoration: underline;
                }

            h3 a {
                color: #00e8ff;
                text-decoration: none;
            }

                h3 a:hover {
                    text-decoration: underline;
                }

        .container {
            width: 800px;
            margin: auto;
            color: #FFF;
            font-size: 25px;
        }

            .container h3 {
                font-size: 20px;
            }

        #content {
            border: dashed 2px #CCC;
            padding: 10px;
        }

        table {
            font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

            table td, table th {
                border: 1px solid #ddd;
                padding: 8px;
            }

            table tr {
                background-color: #2549f6;
            }

            table th {
                padding-top: 12px;
                padding-bottom: 12px;
                text-align: left;
                background-color: #4CAF50;
                color: white;
            }

        #reset {
            padding: 5px 10px;
            background: #4CAF50;
            border: none;
            color: #FFF;
            cursor: pointer;
        }

            #reset:hover {
                color: #4CAF50;
                background: #FFF;
            }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <h1>GridView Sum of Columns by jQuery</h1>
        <h2>Important Link - <a href="http://www.yogihosting.com/jquery-each/">jQuery .each()</a></h2>
        <h3><a id="reset" onclick="location.reload();">Reset »</a></h3>
        <div class="container">
            <div id="content">
                <asp:GridView ID="gridView" runat="server" AutoGenerateColumns="false" ShowFooter="true" FooterStyle-BackColor="#ff0066">
                    <Columns>
                        <asp:BoundField DataField="Id" HeaderText="Id" />
                        <asp:TemplateField HeaderText="Name">
                            <ItemTemplate>
                                <asp:Label ID="nameLabel" runat="server" Text='<%#Bind("Name") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Quantity">
                            <ItemTemplate>
                                <asp:Label ID="quantityLabel" runat="server" Text='<%# Bind("Quantity") %>' CssClass="quantityCSS"></asp:Label>
                            </ItemTemplate>
                            <FooterTemplate>
                                <span class="quantitySpan"></span>
                            </FooterTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Price">
                            <ItemTemplate>
                                $<asp:Label ID="priceLabel" runat="server" Text='<%# Bind("Price") %>' CssClass="priceCSS"></asp:Label>
                            </ItemTemplate>
                            <FooterTemplate>
                                <span class="priceSpan"></span>
                            </FooterTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Total">
                            <ItemTemplate>
                                <asp:Label ID="totalLabel" runat="server" CssClass="totalCSS"></asp:Label>
                            </ItemTemplate>
                            <FooterTemplate>
                                <span class="totalSpan"></span>
                            </FooterTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </div>
        </div>
    </form>

    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var quantityTotal = 0;
            $.each($(".quantityCSS"), function (index, value) {
                quantityTotal += parseInt($(value).text());
            });
            $(".quantitySpan").text(quantityTotal);

            var priceTotal = 0;
            $.each($(".priceCSS"), function (index, value) {
                priceTotal += parseFloat($(value).text());
            });
            $(".priceSpan").text(priceTotal);

            $.each($(".totalCSS"), function (index, value) {
                var q = $(this).parents("tr").find(".quantityCSS").text();
                var p = $(this).parents("tr").find(".priceCSS").text();
                $(this).text(p * q);
            });

            var totals =0
            $.each($(".totalCSS"), function (index, value) {
                totals += parseFloat($(value).text());
            });
            $(".totalSpan").text(totals);
        });
    </script>
</body>
</html>
